For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Assign Quote to BigCommerce Order

POST
https://api-b2b.bigcommerce.com/api/v2/rfq/:quote_id/ordered
POST
/api/v2/rfq/:quote_id/ordered
$curl -X POST https://api-b2b.bigcommerce.com/api/v2/rfq/123456/ordered \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {}
5}
Associates an existing BigCommerce order with a specific quote based on the provided `quote_id`. In order to successfully assign a quote to an order, it must be in the Open status. This endpoint **does not** convert an unpurchased quote into a new BigCommerce order. The endpoint updates the existing order with the shipping and tax information provided in the request. Equivalent Storefront GraphQL API Mutation: `quoteOrdered`.
Was this page helpful?
Previous

Generate Cart and Checkout URL for Quote

Next

Export Quote PDF

Built with

Associates an existing BigCommerce order with a specific quote based on the provided quote_id. In order to successfully assign a quote to an order, it must be in the Open status.

This endpoint does not convert an unpurchased quote into a new BigCommerce order.

The endpoint updates the existing order with the shipping and tax information provided in the request.

Equivalent Storefront GraphQL API Mutation: quoteOrdered.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

quote_idstringRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
orderIdstringOptional

The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the bcOrderId field.

storeHashstringOptional
The unique store hash for the BigCommerce store.
shippingTotaldoubleOptional
The total cost of shipping on the quote.
taxTotaldoubleOptional
The tax value applied to the quote's total.
shippingMethodobjectOptional
Contains information on the quote's shipping method.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject

Errors

400
Bad Request Error